#include<bits/stdc++.h>

using namespace std;

int main()
{
    int x,y;
    cin>>x>>y;
    int pom1=1,s=0;
   int pom2=x;
  int  pom3=y;
    while(pom2!=0 || pom3!=0)
    {
       int bibi=pom2%10;
       int tina=pom3%10;
        if(bibi>tina)
        s=s+bibi*pom1;
        else if(bibi==tina && bibi!=0){
        s=s+bibi*pom1;
            pom1=pom1*10;
             s=s+tina*pom1;}
        else
        {s=s+tina*pom1;
            }
        pom2=pom2/10;
        pom3=pom3/10;
        pom1=pom1*10;
        }
        cout<<s<<endl;
        return 0;
    }